pheno<-read.table("performance.txt",header=T)

pheno$family[pheno$family=='?']<-NA
pheno$family<-as.numeric(as.character(pheno$family))
nf<-max(unique(pheno$family),na.rm=T)

glaMs<-which(as.character(pheno$pop)=='gla' & as.character(pheno$plant)=='ms')
glaAc<-which(as.character(pheno$pop)=='gla' & as.character(pheno$plant)=='ac')
slaAc<-which(as.character(pheno$pop)=='sl' & as.character(pheno$plant)=='ac')
slaMs<-which(as.character(pheno$pop)=='sl' & as.character(pheno$plant)=='ms')

grps<-list(glaMs,glaAc,slaMs,slaAc)

## survival
survMns<-matrix(NA,nrow=nf,ncol=4)

for(i in 1:nf){
    for(j in 1:4){
        survMns[i,j]<-mean(pheno$survivorship[grps[[j]]][pheno$family[grps[[j]]]==i],na.rm=T)
    }    
}    

survCnts<-matrix(NA,nrow=4,ncol=2) # mean and sd per fam
for(j in 1:4){
     survCnts[j,1]<-mean(table(pheno$family[grps[[j]]]))
     survCnts[j,2]<-sd(table(pheno$family[grps[[j]]]))
}

cor.test(survMns[,1],survMns[,2],na.rm=T)
#t = -0.9874, df = 31, p-value = 0.3311
#alternative hypothesis: true correlation is not equal to 0
#95 percent confidence interval:
# -0.4886347  0.1794481
#sample estimates:
#       cor 
#-0.1746185 

cor.test(survMns[,3],survMns[,4],na.rm=T)
#data:  survMns[, 3] and survMns[, 4]
#t = -0.1232, df = 34, p-value = 0.9027
#alternative hypothesis: true correlation is not equal to 0
#95 percent confidence interval:
# -0.3472486  0.3095613
#sample estimates:
#        cor 
#-0.02112262 


outlier<-which(wgtMns[,1] > 5)

cor.test(wgtMns[-outlier,1],wgtMns[-outlier,2],na.rm=T)
#data:  wgtMns[-outlier, 1] and wgtMns[-outlier, 2]
#t = 0.9454, df = 17, p-value = 0.3577
#alternative hypothesis: true correlation is not equal to 0
#95 percent confidence interval:
# -0.2567781  0.6152502
#sample estimates:
#     cor 
#0.223498 

cor.test(wgtMns[,3],wgtMns[,4],na.rm=T)
#data:  wgtMns[, 3] and wgtMns[, 4]
#t = 0.2535, df = 23, p-value = 0.8022
#alternative hypothesis: true correlation is not equal to 0
#95 percent confidence interval:
# -0.3496429  0.4387604
#sample estimates:
#       cor 
#0.05277978 
